summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-01-03 07:16:35 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-01-09 07:12:22 +0700
commite449a5580f63dedd55308eea63e6b8283f941d7e (patch)
treec7ee1635bb32407aab58c009038c9634fb9d02c4
parentea49650a3f80ef2a3df4073460e6f26c00f99384 (diff)
downloadslackbuilds-e449a5580f63dedd55308eea63e6b8283f941d7e.tar.gz
slackbuilds-e449a5580f63dedd55308eea63e6b8283f941d7e.tar.xz
development/gitstats: Added (git history statistics generator).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/gitstats/README13
-rw-r--r--development/gitstats/gitstats.SlackBuild89
-rw-r--r--development/gitstats/gitstats.info10
-rw-r--r--development/gitstats/slack-desc19
4 files changed, 131 insertions, 0 deletions
diff --git a/development/gitstats/README b/development/gitstats/README
new file mode 100644
index 0000000000..e184d728be
--- /dev/null
+++ b/development/gitstats/README
@@ -0,0 +1,13 @@
+GitStats is a statistics generator for git (a distributed revision
+control system) repositories. It examines the repository and produces
+some interesting statistics from the history of it.
+
+Usage:
+gitstats <git repository path> <output path>
+
+Example:
+gitstats ~/slackbuilds ~/public_html/sbo
+
+NOTE:
+gitstats will read all history from the beginning.
+It will take some time for big projects with long commits history.
diff --git a/development/gitstats/gitstats.SlackBuild b/development/gitstats/gitstats.SlackBuild
new file mode 100644
index 0000000000..3330d020ce
--- /dev/null
+++ b/development/gitstats/gitstats.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for gitstats
+
+# Copyright 2016 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gitstats
+VERSION=${VERSION:-20160102}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/{bin,share/gitstats}
+install -m 755 $PRGNAM $PKG/usr/bin
+install -m 644 gitstats.css sortable.js *.gif $PKG/usr/share/gitstats
+
+sed -i "s|VERSION = 0|VERSION = $VERSION|" $PKG/usr/bin/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/gitstats/gitstats.info b/development/gitstats/gitstats.info
new file mode 100644
index 0000000000..3dbfabff29
--- /dev/null
+++ b/development/gitstats/gitstats.info
@@ -0,0 +1,10 @@
+PRGNAM="gitstats"
+VERSION="20160102"
+HOMEPAGE="http://gitstats.sourceforge.net/"
+DOWNLOAD="http://kent.dl.sourceforge.net/project/slackbuildsdirectlinks/gitstats/gitstats-20160102.tar.gz"
+MD5SUM="782831f55fa2647b409ac3b4ee555ab7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackbuilds.org"
diff --git a/development/gitstats/slack-desc b/development/gitstats/slack-desc
new file mode 100644
index 0000000000..a4c98e5d5e
--- /dev/null
+++ b/development/gitstats/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gitstats: gitstats (git history statistics generator)
+gitstats:
+gitstats: GitStats is a statistics generator for git (a distributed revision
+gitstats: control system) repositories. It examines the repository and produces
+gitstats: some interesting statistics from the history of it.
+gitstats:
+gitstats:
+gitstats: Project URL: http://gitstats.sourceforge.net/
+gitstats:
+gitstats:
+gitstats: